Index: contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-arm-rtems4.11-binutils
 Requires:	rtems-4.11-arm-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-arm-rtems4.11-binutils
-# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-avr-rtems4.11-binutils
 Requires:	rtems-4.11-avr-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,9 +255,5 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -336,5 +332,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -605,5 +601,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-avr-rtems4.11-binutils
-# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -623,5 +619,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -736,5 +732,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -757,5 +753,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-bfin-rtems4.11-binutils
 Requires:	rtems-4.11-bfin-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-bfin-rtems4.11-binutils
-# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-h8300-rtems4.11-binutils
 Requires:	rtems-4.11-h8300-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-h8300-rtems4.11-binutils
-# Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-i386-rtems4.11-binutils
 Requires:	rtems-4.11-i386-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-i386-rtems4.11-binutils
-# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-lm32-rtems4.11-binutils
 Requires:	rtems-4.11-lm32-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-lm32-rtems4.11-binutils
-# Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-m32c-rtems4.11-binutils
 Requires:	rtems-4.11-m32c-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,9 +255,5 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -336,5 +332,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -605,5 +601,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32c-rtems4.11-binutils
-# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -623,5 +619,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -737,5 +733,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -758,5 +754,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-m32r-rtems4.11-binutils
 Requires:	rtems-4.11-m32r-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,9 +255,5 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -336,5 +332,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -605,5 +601,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32r-rtems4.11-binutils
-# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -623,5 +619,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -737,5 +733,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -758,5 +754,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-m68k-rtems4.11-binutils
 Requires:	rtems-4.11-m68k-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m68k-rtems4.11-binutils
-# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-mips-rtems4.11-binutils
 Requires:	rtems-4.11-mips-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-mips-rtems4.11-binutils
-# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-powerpc-rtems4.11-binutils
 Requires:	rtems-4.11-powerpc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-powerpc-rtems4.11-binutils
-# Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-powerpc-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-sh-rtems4.11-binutils
 Requires:	rtems-4.11-sh-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sh-rtems4.11-binutils
-# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	10%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-sparc-rtems4.11-binutils
 Requires:	rtems-4.11-sparc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -255,16 +255,9 @@
 %if "%{gcc_version}" == "4.5.0"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100414.diff
-%endif
-%if "%{gcc_version}" == "4.4.3"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100522.diff
 %endif
 %{?_without_sources:NoSource:	0}
 
 %if "%{gcc_version}" == "4.5.0" 
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-%endif
-%if "%{gcc_version}" == "4.4.3" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
@@ -348,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-10%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -618,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -636,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-10%{?dist}
+Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -810,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -831,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        10%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision be66b516341264dd9f64db05aab8193fc60a799f)
+++ contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision 57e060b54ae41309ae1f62bf5b01684ecb80cd3b)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	11%{?dist}
+Release:      	12%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -81,5 +81,5 @@
 # versions of libraries, we conditionally bundle if necessary
 %global mpc_version	0.8.1
-%global mpfr_version	2.4.1
+%global mpfr_version	2.4.2
 %global gmp_version	4.3.2
 %global libelf_version  0.8.13
@@ -88,5 +88,5 @@
 %if 0%{?fc13}
 %global mpc_provided 0.8.1
-%global mpfr_provided 2.4.1
+%global mpfr_provided 2.4.2
 %global gmp_provided 4.3.1
 %endif
@@ -241,5 +241,5 @@
 Requires:	rtems-4.11-sparc64-rtems4.11-binutils
 Requires:	rtems-4.11-sparc64-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-11%{?dist}
+Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -341,5 +341,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-11%{?dist}/newlib-%{newlib_version}-11%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-12%{?dist}/newlib-%{newlib_version}-12%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -611,5 +611,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc64-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-11%{?dist}
+# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 # License:	GPL
 
@@ -629,5 +629,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-11%{?dist}
+Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-12%{?dist}
 License:	GPL
 
@@ -803,5 +803,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        11%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -824,5 +824,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        11%{?dist}
+Release:        12%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
